org.richfaces.fragment.editor.toolbar

## Enum EditorTextDirection

- java.lang.Object
- - java.lang.Enum<EditorTextDirection>
  - - org.richfaces.fragment.editor.toolbar.EditorTextDirection

- All Implemented Interfaces:
    Serializable, Comparable<EditorTextDirection>, EditorButton

      public enum EditorTextDirection
      extends Enum<EditorTextDirection>
      implements EditorButton

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FROM_LEFT_TO_RIGHT`
    `FROM_RIGHT_TO_LEFT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCSSClassName()`
    `String` | `toString()`
    `static EditorTextDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditorTextDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FROM_RIGHT_TO_LEFT

          public static final EditorTextDirection FROM_RIGHT_TO_LEFT

    - #### FROM_LEFT_TO_RIGHT

          public static final EditorTextDirection FROM_LEFT_TO_RIGHT

  - ### Method Detail

    - #### values

          public static EditorTextDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditorTextDirection c : EditorTextDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditorTextDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EditorTextDirection>`

    - #### getCSSClassName

          public String getCSSClassName()

      Specified by:
        `getCSSClassName` in interface `EditorButton`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.